Index: /trunk/MacFace.csproj
===================================================================
--- /trunk/MacFace.csproj	(revision 3)
+++ /trunk/MacFace.csproj	(revision 3)
@@ -0,0 +1,296 @@
+<VisualStudioProject>
+    <CSHARP
+        ProjectType = "Local"
+        ProductVersion = "7.10.3077"
+        SchemaVersion = "2.0"
+        ProjectGuid = "{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}"
+    >
+        <Build>
+            <Settings
+                ApplicationIcon = ""
+                AssemblyKeyContainerName = ""
+                AssemblyName = "MacFace"
+                AssemblyOriginatorKeyFile = ""
+                DefaultClientScript = "JScript"
+                DefaultHTMLPageLayout = "Grid"
+                DefaultTargetSchema = "IE50"
+                DelaySign = "false"
+                OutputType = "Exe"
+                PreBuildEvent = ""
+                PostBuildEvent = "xcopy /Y $(SolutionDir)default.mcface\*.* $(TargetDir)default.mcface\"
+                RootNamespace = "MacFace"
+                RunPostBuildEvent = "OnBuildSuccess"
+                StartupObject = ""
+            >
+                <Config
+                    Name = "Debug"
+                    AllowUnsafeBlocks = "false"
+                    BaseAddress = "285212672"
+                    CheckForOverflowUnderflow = "false"
+                    ConfigurationOverrideFile = ""
+                    DefineConstants = "DEBUG;TRACE"
+                    DocumentationFile = ""
+                    DebugSymbols = "true"
+                    FileAlignment = "4096"
+                    IncrementalBuild = "false"
+                    NoStdLib = "false"
+                    NoWarn = ""
+                    Optimize = "false"
+                    OutputPath = "bin\Debug\"
+                    RegisterForComInterop = "false"
+                    RemoveIntegerChecks = "false"
+                    TreatWarningsAsErrors = "false"
+                    WarningLevel = "4"
+                />
+                <Config
+                    Name = "Release"
+                    AllowUnsafeBlocks = "false"
+                    BaseAddress = "285212672"
+                    CheckForOverflowUnderflow = "false"
+                    ConfigurationOverrideFile = ""
+                    DefineConstants = "TRACE"
+                    DocumentationFile = ""
+                    DebugSymbols = "false"
+                    FileAlignment = "4096"
+                    IncrementalBuild = "false"
+                    NoStdLib = "false"
+                    NoWarn = ""
+                    Optimize = "true"
+                    OutputPath = "bin\Release\"
+                    RegisterForComInterop = "false"
+                    RemoveIntegerChecks = "false"
+                    TreatWarningsAsErrors = "false"
+                    WarningLevel = "4"
+                />
+            </Settings>
+            <References>
+                <Reference
+                    Name = "System"
+                    AssemblyName = "System"
+                    HintPath = "..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.dll"
+                />
+                <Reference
+                    Name = "System.Data"
+                    AssemblyName = "System.Data"
+                    HintPath = "..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.Data.dll"
+                />
+                <Reference
+                    Name = "System.Drawing"
+                    AssemblyName = "System.Drawing"
+                    HintPath = "..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.Drawing.dll"
+                />
+                <Reference
+                    Name = "System.Windows.Forms"
+                    AssemblyName = "System.Windows.Forms"
+                    HintPath = "..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.Windows.Forms.dll"
+                />
+                <Reference
+                    Name = "System.XML"
+                    AssemblyName = "System.Xml"
+                    HintPath = "..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.XML.dll"
+                />
+            </References>
+        </Build>
+        <Files>
+            <Include>
+                <File
+                    RelPath = "AlphaForm.cs"
+                    SubType = "Form"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "AssemblyInfo.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "MainForm.cs"
+                    SubType = "Form"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "PropertyList.cs"
+                    SubType = "Code"
+                    BuildAction = "Compile"
+                />
+                <File
+                    RelPath = "default.mcface\brow-down.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\brow-normal.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\brow-up.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-arrow.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-circle.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-close.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-line.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-normal.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-smile.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\eye-spiral.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\face-base.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\faceDef.plist"
+                    BuildAction = "None"
+                />
+                <File
+                    RelPath = "default.mcface\mouth-circle.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\mouth-close.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\mouth-laugh.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\mouth-open.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\mouth-smile.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\note.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\shock.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "default.mcface\sweat.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\angery-mark.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\brow-hill.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\brow-normal.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\brow-up.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-angery.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-arrow.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-circle.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-close.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-close2.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-line.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-normal.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-smile.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-spiral.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-thin.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\eye-vbar.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\face-base.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\faceDef.plist"
+                    BuildAction = "None"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\mouth-circle.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\mouth-close.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\mouth-laugh.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\mouth-open.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\mouth-smile.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\note.tiff"
+                    BuildAction = "Content"
+                />
+                <File
+                    RelPath = "kikiki-rin.mcface\shock.tiff"
+                    BuildAction = "Content"
+                />
+            </Include>
+        </Files>
+    </CSHARP>
+</VisualStudioProject>
+
Index: /trunk/MacFace.sln
===================================================================
--- /trunk/MacFace.sln	(revision 3)
+++ /trunk/MacFace.sln	(revision 3)
@@ -0,0 +1,21 @@
+Microsoft Visual Studio Solution File, Format Version 8.00
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MacFace", "MacFace.csproj", "{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}"
+	ProjectSection(ProjectDependencies) = postProject
+	EndProjectSection
+EndProject
+Global
+	GlobalSection(SolutionConfiguration) = preSolution
+		Debug = Debug
+		Release = Release
+	EndGlobalSection
+	GlobalSection(ProjectConfiguration) = postSolution
+		{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}.Debug.ActiveCfg = Debug|.NET
+		{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}.Debug.Build.0 = Debug|.NET
+		{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}.Release.ActiveCfg = Release|.NET
+		{677BDE70-6D11-45F8-8D41-BC1D6A4CF81F}.Release.Build.0 = Release|.NET
+	EndGlobalSection
+	GlobalSection(ExtensibilityGlobals) = postSolution
+	EndGlobalSection
+	GlobalSection(ExtensibilityAddIns) = postSolution
+	EndGlobalSection
+EndGlobal
Index: /trunk/default.mcface/faceDef.plist
===================================================================
--- /trunk/default.mcface/faceDef.plist	(revision 3)
+++ /trunk/default.mcface/faceDef.plist	(revision 3)
@@ -0,0 +1,408 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
+<plist version="0.9">
+<dict>
+	<key>title</key>
+	<string>Default Face</string>
+	<key>author</key>
+	<string>りゅう</string>
+	<key>version</key>
+	<string>1.0</string>
+	<key>parts</key>
+	<array>
+		<dict>
+			<key>filename</key>
+			<string>face-base.tiff</string>
+			<key>pos x</key>
+			<integer>0</integer>
+			<key>pos y</key>
+			<integer>0</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>sweat.tiff</string>
+			<key>pos x</key>
+			<integer>95</integer>
+			<key>pos y</key>
+			<integer>3</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-normal.tiff</string>
+			<key>pos x</key>
+			<integer>26</integer>
+			<key>pos y</key>
+			<integer>56</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-up.tiff</string>
+			<key>pos x</key>
+			<integer>26</integer>
+			<key>pos y</key>
+			<integer>60</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-down.tiff</string>
+			<key>pos x</key>
+			<integer>26</integer>
+			<key>pos y</key>
+			<integer>51</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-spiral.tiff</string>
+			<key>pos x</key>
+			<integer>27</integer>
+			<key>pos y</key>
+			<integer>28</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-line.tiff</string>
+			<key>pos x</key>
+			<integer>22</integer>
+			<key>pos y</key>
+			<integer>37</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-close.tiff</string>
+			<key>pos x</key>
+			<integer>24</integer>
+			<key>pos y</key>
+			<integer>31</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-circle.tiff</string>
+			<key>pos x</key>
+			<integer>30</integer>
+			<key>pos y</key>
+			<integer>30</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-arrow.tiff</string>
+			<key>pos x</key>
+			<integer>26</integer>
+			<key>pos y</key>
+			<integer>27</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-smile.tiff</string>
+			<key>pos x</key>
+			<integer>23</integer>
+			<key>pos y</key>
+			<integer>33</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-normal.tiff</string>
+			<key>pos x</key>
+			<integer>28</integer>
+			<key>pos y</key>
+			<integer>29</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-smile.tiff</string>
+			<key>pos x</key>
+			<integer>54</integer>
+			<key>pos y</key>
+			<integer>10</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-close.tiff</string>
+			<key>pos x</key>
+			<integer>58</integer>
+			<key>pos y</key>
+			<integer>14</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-circle.tiff</string>
+			<key>pos x</key>
+			<integer>56</integer>
+			<key>pos y</key>
+			<integer>8</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-open.tiff</string>
+			<key>pos x</key>
+			<integer>49</integer>
+			<key>pos y</key>
+			<integer>6</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-laugh.tiff</string>
+			<key>pos x</key>
+			<integer>49</integer>
+			<key>pos y</key>
+			<integer>8</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>shock.tiff</string>
+			<key>pos x</key>
+			<integer>0</integer>
+			<key>pos y</key>
+			<integer>95</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>note.tiff</string>
+			<key>pos x</key>
+			<integer>99</integer>
+			<key>pos y</key>
+			<integer>99</integer>
+		</dict>
+	</array>
+	<key>pattern</key>
+	<array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>7</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>11</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>11</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>9</integer>
+				<integer>16</integer>
+			</array>
+		</array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>7</integer>
+				<integer>13</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>13</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>11</integer>
+				<integer>13</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>11</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>14</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>14</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>9</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+		</array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>7</integer>
+				<integer>15</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>6</integer>
+				<integer>15</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>6</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>6</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>8</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>8</integer>
+				<integer>14</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>8</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>5</integer>
+				<integer>12</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>5</integer>
+				<integer>14</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>5</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>9</integer>
+				<integer>16</integer>
+				<integer>1</integer>
+			</array>
+		</array>
+	</array>
+	<key>markers</key>
+	<array>
+		<integer>18</integer>
+		<integer>17</integer>
+	</array>
+	<key>title pattern</key>
+	<array>
+		<integer>0</integer>
+		<integer>3</integer>
+		<integer>9</integer>
+		<integer>16</integer>
+	</array>
+</dict>
+</plist>
Index: /trunk/kikiki-rin.mcface/faceDef.plist
===================================================================
--- /trunk/kikiki-rin.mcface/faceDef.plist	(revision 3)
+++ /trunk/kikiki-rin.mcface/faceDef.plist	(revision 3)
@@ -0,0 +1,441 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
+<plist version="0.9">
+<dict>
+	<key>title</key>
+	<string>ききき りん</string>
+	<key>author</key>
+	<string>りゅう</string>
+	<key>version</key>
+	<string>1.0</string>
+	<key>web site</key>
+	<string>http://white.sakura.ne.jp/~rryu/macosx/macface/</string>
+	<key>parts</key>
+	<array>
+		<dict>
+			<key>filename</key>
+			<string>face-base.tiff</string>
+			<key>pos x</key>
+			<integer>0</integer>
+			<key>pos y</key>
+			<integer>0</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-hill.tiff</string>
+			<key>pos x</key>
+			<integer>17</integer>
+			<key>pos y</key>
+			<integer>54</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-normal.tiff</string>
+			<key>pos x</key>
+			<integer>19</integer>
+			<key>pos y</key>
+			<integer>71</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>brow-up.tiff</string>
+			<key>pos x</key>
+			<integer>22</integer>
+			<key>pos y</key>
+			<integer>75</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-angery.tiff</string>
+			<key>pos x</key>
+			<integer>20</integer>
+			<key>pos y</key>
+			<integer>37</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-spiral.tiff</string>
+			<key>pos x</key>
+			<integer>21</integer>
+			<key>pos y</key>
+			<integer>36</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-line.tiff</string>
+			<key>pos x</key>
+			<integer>19</integer>
+			<key>pos y</key>
+			<integer>42</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-close.tiff</string>
+			<key>pos x</key>
+			<integer>22</integer>
+			<key>pos y</key>
+			<integer>40</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-circle.tiff</string>
+			<key>pos x</key>
+			<integer>31</integer>
+			<key>pos y</key>
+			<integer>40</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-arrow.tiff</string>
+			<key>pos x</key>
+			<integer>23</integer>
+			<key>pos y</key>
+			<integer>33</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-smile.tiff</string>
+			<key>pos x</key>
+			<integer>21</integer>
+			<key>pos y</key>
+			<integer>37</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-normal.tiff</string>
+			<key>pos x</key>
+			<integer>18</integer>
+			<key>pos y</key>
+			<integer>36</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-smile.tiff</string>
+			<key>pos x</key>
+			<integer>51</integer>
+			<key>pos y</key>
+			<integer>22</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-close.tiff</string>
+			<key>pos x</key>
+			<integer>55</integer>
+			<key>pos y</key>
+			<integer>23</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-circle.tiff</string>
+			<key>pos x</key>
+			<integer>53</integer>
+			<key>pos y</key>
+			<integer>17</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-open.tiff</string>
+			<key>pos x</key>
+			<integer>46</integer>
+			<key>pos y</key>
+			<integer>19</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>mouth-laugh.tiff</string>
+			<key>pos x</key>
+			<integer>54</integer>
+			<key>pos y</key>
+			<integer>20</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>shock.tiff</string>
+			<key>pos x</key>
+			<integer>0</integer>
+			<key>pos y</key>
+			<integer>95</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>note.tiff</string>
+			<key>pos x</key>
+			<integer>99</integer>
+			<key>pos y</key>
+			<integer>99</integer>
+		</dict>
+
+		<dict>
+			<key>filename</key>
+			<string>angery-mark.tiff</string>
+			<key>pos x</key>
+			<integer>80</integer>
+			<key>pos y</key>
+			<integer>71</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>angery-mark.tiff</string>
+			<key>pos x</key>
+			<integer>0</integer>
+			<key>pos y</key>
+			<integer>51</integer>
+		</dict>
+		<dict>
+			<key>filename</key>
+			<string>eye-thin.tiff</string>
+			<key>pos x</key>
+			<integer>18</integer>
+			<key>pos y</key>
+			<integer>39</integer>
+		</dict>
+
+		<dict>
+			<key>filename</key>
+			<string>eye-vbar.tiff</string>
+			<key>pos x</key>
+			<integer>36</integer>
+			<key>pos y</key>
+			<integer>38</integer>
+		</dict>
+
+		<dict>
+			<key>filename</key>
+			<string>eye-close2.tiff</string>
+			<key>pos x</key>
+			<integer>20</integer>
+			<key>pos y</key>
+			<integer>41</integer>
+		</dict>
+
+	</array>
+	<key>pattern</key>
+	<array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>7</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>11</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>10</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>9</integer>
+				<integer>16</integer>
+			</array>
+		</array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>7</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>23</integer>
+				<integer>13</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>23</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>23</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>22</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>22</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>22</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>8</integer>
+				<integer>12</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>8</integer>
+				<integer>14</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>8</integer>
+				<integer>16</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>3</integer>
+				<integer>5</integer>
+				<integer>16</integer>
+			</array>
+		</array>
+		<array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>7</integer>
+				<integer>13</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>13</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>6</integer>
+				<integer>14</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>1</integer>
+				<integer>6</integer>
+				<integer>16</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>2</integer>
+				<integer>21</integer>
+				<integer>13</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>1</integer>
+				<integer>21</integer>
+				<integer>14</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>1</integer>
+				<integer>21</integer>
+				<integer>12</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>1</integer>
+				<integer>21</integer>
+				<integer>16</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>12</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>14</integer>
+				<integer>19</integer>
+			</array>
+			<array>
+				<integer>0</integer>
+				<integer>4</integer>
+				<integer>15</integer>
+				<integer>19</integer>
+				<integer>20</integer>
+			</array>
+		</array>
+	</array>
+	<key>markers</key>
+	<array>
+		<integer>18</integer>
+		<integer>17</integer>
+	</array>
+	<key>title pattern</key>
+	<array>
+		<integer>0</integer>
+		<integer>3</integer>
+		<integer>11</integer>
+		<integer>16</integer>
+	</array>
+</dict>
+</plist>