Index: trunk/MacFace.prjx
===================================================================
--- trunk/MacFace.prjx	(revision 3)
+++ trunk/MacFace.prjx	(revision 4)
@@ -1,3 +1,3 @@
-<Project name="MacFace" description="" newfilesearch="None" enableviewstate="True" version="1.1" projecttype="C#">
+<Project name="MacFace" standardNamespace="NewProject" description="" newfilesearch="None" enableviewstate="True" version="1.1" projecttype="C#">
   <Contents>
     <File name=".\MainForm.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
@@ -5,22 +5,24 @@
     <File name=".\PropertyList.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
     <File name=".\AlphaForm.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
+    <File name=".\MyForm.CreatedForm.resources" subtype="Code" buildaction="EmbedAsResource" dependson="" data="" />
+    <File name=".\MacFace.MainForm.resources" subtype="Code" buildaction="EmbedAsResource" dependson="" data="" />
   </Contents>
   <References />
   <DeploymentInformation target="" script="" strategy="File" />
   <Configuration runwithwarnings="False" name="Debug">
-    <CodeGeneration runtime="MsNet" compiler="Csc" warninglevel="4" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="Exe" definesymbols="" generatexmldocumentation="False" win32Icon="" />
+    <CodeGeneration runtime="MsNet" compiler="Csc" compilerversion="" warninglevel="4" nowarn="" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="Exe" definesymbols="" generatexmldocumentation="False" win32Icon="" noconfig="False" nostdlib="False" />
     <Execution commandlineparameters="" consolepause="False" />
-    <Output directory=".\bin\Debug" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" />
+    <Output directory=".\bin\Debug" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" executeBeforeBuildArguments="" executeAfterBuildArguments="" />
   </Configuration>
   <Configurations active="Debug">
     <Configuration runwithwarnings="False" name="Debug">
-      <CodeGeneration runtime="MsNet" compiler="Csc" warninglevel="4" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="Exe" definesymbols="" generatexmldocumentation="False" win32Icon="" />
+      <CodeGeneration runtime="MsNet" compiler="Csc" compilerversion="" warninglevel="4" nowarn="" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="Exe" definesymbols="" generatexmldocumentation="False" win32Icon="" noconfig="False" nostdlib="False" />
       <Execution commandlineparameters="" consolepause="False" />
-      <Output directory=".\bin\Debug" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" />
+      <Output directory=".\bin\Debug" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" executeBeforeBuildArguments="" executeAfterBuildArguments="" />
     </Configuration>
     <Configuration runwithwarnings="False" name="Release">
-      <CodeGeneration runtime="MsNet" compiler="Csc" warninglevel="4" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="WinExe" definesymbols="" generatexmldocumentation="False" win32Icon="" />
+      <CodeGeneration runtime="MsNet" compiler="Csc" compilerversion="" warninglevel="4" nowarn="" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="WinExe" definesymbols="" generatexmldocumentation="False" win32Icon="" noconfig="False" nostdlib="False" />
       <Execution commandlineparameters="" consolepause="False" />
-      <Output directory=".\bin\Release" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" />
+      <Output directory=".\bin\Release" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" executeBeforeBuildArguments="" executeAfterBuildArguments="" />
     </Configuration>
   </Configurations>
Index: trunk/MainForm.cs
===================================================================
--- trunk/MainForm.cs	(revision 3)
+++ trunk/MainForm.cs	(revision 4)
@@ -10,8 +10,11 @@
 using System.Threading;
 
-namespace MacFace 
+namespace MacFace
 {
 	class MainForm : Misuzilla.Windows.Forms.AlphaForm
+//	class MainForm : System.Windows.Forms.Form
 	{
+		private System.Windows.Forms.ContextMenu contextMenu1;
+		private System.Windows.Forms.MenuItem menuItem1;
 		private Hashtable _property;
 		private ArrayList _parts;
@@ -21,5 +24,7 @@
 		{
 			InitializeComponent();
-//			this.Load += new EventHandler(this.Form1_Load);
+			this.TransparentMouseMessage = false;
+			this.MoveAtFormDrag = true;
+
 			_facePath = Path.Combine(Application.StartupPath,"default.mcface");
 			_property = PropertyList.load(Path.Combine(_facePath,"faceDef.plist"));
@@ -28,27 +33,36 @@
 			(new Thread(new ThreadStart(CountProcessorUsage))).Start();
 		}
-	
+
 		// THIS METHOD IS MAINTAINED BY THE FORM DESIGNER
 		// DO NOT EDIT IT MANUALLY! YOUR CHANGES ARE LIKELY TO BE LOST
-		void InitializeComponent()
-		{
+		void InitializeComponent() {
+			this.menuItem1 = new System.Windows.Forms.MenuItem();
+			this.contextMenu1 = new System.Windows.Forms.ContextMenu();
 			// 
-			//  Set up generated class MainForm
+			// menuItem1
 			// 
-			this.SuspendLayout();
-			this.Name = "MainForm";
-			this.Text = "This is my form";
-			this.Size = new System.Drawing.Size(300, 300);
-			this.ResumeLayout(false);
-			this.ShowInTaskbar = false;
-			this.TopMost = true;
-			this.FormBorderStyle = FormBorderStyle.None;
+			this.menuItem1.Index = 0;
+			this.menuItem1.Shortcut = System.Windows.Forms.Shortcut.CtrlQ;
+			this.menuItem1.Text = "終了";
+			this.menuItem1.Click += new System.EventHandler(this.doQuit);
+			// 
+			// contextMenu1
+			// 
+			this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
+						this.menuItem1});
+			// 
+			// MainForm
+			// 
+			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
+			this.ClientSize = new System.Drawing.Size(120, 101);
+			this.ContextMenu = this.contextMenu1;
+			this.ControlBox = false;
 			this.MaximizeBox = false;
 			this.MinimizeBox = false;
-			this.ControlBox = false;
-			this.TransparentMouseMessage = false;
-			this.MoveAtFormDrag = true;
-			this.Visible = true;
+			this.Name = "MainForm";
 			this.Opacity = 0.75F;
+			this.ShowInTaskbar = false;
+			this.Text = "MacFace For Windows";
+			this.TopMost = true;
 		}
 			
@@ -87,5 +101,5 @@
 				}
 				
-				// OÌp^[Æ¯¶ÈçXVµÈ¢B
+				// Õp^[ƓȂXVȂB
 				if (prevUsage/10 != usage/10) {
 					ArrayList patterns = (ArrayList)_property["pattern"];
@@ -111,4 +125,9 @@
 			
 		}
+		void doQuit(object sender, System.EventArgs e)
+		{
+			Application.Exit();
+		}
+		
 	}
 }