Index: trunk/AssemblyInfo.cs
===================================================================
--- trunk/AssemblyInfo.cs	(revision 5)
+++ trunk/AssemblyInfo.cs	(revision 6)
@@ -8,10 +8,10 @@
 // you compile.
 
-[assembly: AssemblyTitle("")]
-[assembly: AssemblyDescription("")]
+[assembly: AssemblyTitle("MacFace for Windows ¨µÅ")]
+[assembly: AssemblyDescription("G[ViCPU[^MacFace")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
+[assembly: AssemblyCompany("Team MacFace")]
 [assembly: AssemblyProduct("")]
-[assembly: AssemblyCopyright("")]
+[assembly: AssemblyCopyright("Team MacFace")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
Index: trunk/MacFace.prjx
===================================================================
--- trunk/MacFace.prjx	(revision 5)
+++ trunk/MacFace.prjx	(revision 6)
@@ -1,3 +1,3 @@
-<Project name="MacFace" standardNamespace="NewProject" description="" newfilesearch="None" enableviewstate="True" version="1.1" projecttype="C#">
+<Project name="MacFace" standardNamespace="MacFace" description="" newfilesearch="None" enableviewstate="True" version="1.1" projecttype="C#">
   <Contents>
     <File name=".\AssemblyInfo.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
@@ -5,5 +5,4 @@
     <File name=".\AlphaForm.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
     <File name=".\MainForm.cs" subtype="Code" buildaction="Compile" dependson="" data="" />
-    <File name=".\MacFace.MainForm.resources" subtype="Code" buildaction="EmbedAsResource" dependson="" data="" />
   </Contents>
   <References />
@@ -21,5 +20,5 @@
     </Configuration>
     <Configuration runwithwarnings="False" name="Release">
-      <CodeGeneration runtime="MsNet" compiler="Csc" compilerversion="" warninglevel="4" nowarn="" includedebuginformation="True" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="WinExe" definesymbols="" generatexmldocumentation="False" win32Icon="" noconfig="False" nostdlib="False" />
+      <CodeGeneration runtime="MsNet" compiler="Csc" compilerversion="Standard" warninglevel="4" nowarn="" includedebuginformation="False" optimize="True" unsafecodeallowed="False" generateoverflowchecks="True" mainclass="" target="WinExe" definesymbols="" generatexmldocumentation="False" win32Icon="" noconfig="False" nostdlib="False" />
       <Execution commandlineparameters="" consolepause="False" />
       <Output directory=".\bin\Release" assembly="MacFace" executeScript="" executeBeforeBuild="" executeAfterBuild="" executeBeforeBuildArguments="" executeAfterBuildArguments="" />
Index: trunk/MainForm.cs
===================================================================
--- trunk/MainForm.cs	(revision 5)
+++ trunk/MainForm.cs	(revision 6)
@@ -19,5 +19,10 @@
 		private ArrayList _parts;
 		private String _facePath;
-		
+		private System.Windows.Forms.Timer _updateTimer;
+		Int32 prevUsage;
+		PerformanceCounter cpuCount;
+//		PerformanceCounter pageoutCount;
+//		PerformanceCounter pageinCount;
+
 		public MainForm()
 		{
@@ -29,6 +34,23 @@
 			_property = PropertyList.load(Path.Combine(_facePath,"faceDef.plist"));
 			_parts = (ArrayList)_property["parts"];
+			prevUsage = -10;
 
-			(new Thread(new ThreadStart(CountProcessorUsage))).Start();
+			cpuCount = new PerformanceCounter();
+			cpuCount.CategoryName = "Processor";
+			cpuCount.CounterName  = "% Processor Time";
+			cpuCount.InstanceName = "_Total";
+
+//			pageoutCount = new PerformanceCounter();
+//			pageoutCount.CategoryName = "Memory";
+//			pageoutCount.CounterName  = "Pages Output/sec";
+//
+//			pageinCount = new PerformanceCounter();
+//			pageinCount.CategoryName = "Memory";
+//			pageinCount.CounterName  = "Pages Input/sec";
+
+			_updateTimer = new System.Windows.Forms.Timer();
+			_updateTimer.Interval = 1000;
+			_updateTimer.Tick += new EventHandler(this.CountProcessorUsage);
+			_updateTimer.Start();
 		}
 
@@ -72,58 +94,41 @@
 		}
 		
-		private void CountProcessorUsage()
+		public void CountProcessorUsage(object sender, EventArgs e)
 		{
-			PerformanceCounter perfCount = new PerformanceCounter();
-			perfCount.CategoryName = "Processor";
-			perfCount.CounterName  = "% Processor Time";
-			perfCount.InstanceName = "_Total";
+			Int32 usage = (Int32)cpuCount.NextValue();
+//			Int32 pagein = (Int32)pageinCount.NextValue();
+//			Int32 pageout = (Int32)pageoutCount.NextValue();
 
-			PerformanceCounter pageoutCount = new PerformanceCounter();
-			pageoutCount.CategoryName = "Memory";
-			pageoutCount.CounterName  = "Pages Output/sec";
+//				Console.WriteLine("Processor: {0}% (pattern: {1}) {2} {3}", usage, usage/10, pagein, pageout);
+			if (usage >= 100) {
+				usage = 100;
+			} else if (usage < 0) {
+				usage = 0;
+			}
+				
+			if (prevUsage/10 != usage/10) {
+				ArrayList patterns = (ArrayList)_property["pattern"];
+				ArrayList patternCpu = (ArrayList)patterns[0];
+				ArrayList facePattern = (ArrayList)patternCpu[usage/10];
+					
+				foreach (Int32 i in facePattern) {
+					Hashtable part = _parts[i] as Hashtable;
+					string filename = (string)part["filename"];
+					string imgPath = Path.Combine(_facePath, filename);
+					using (Bitmap bitmap = new Bitmap(imgPath)) {
+						int x = (int)part["pos x"];
+						int y = 128 - (int)part["pos y"] - bitmap.Size.Height;
+						this.Graphics.DrawImage(bitmap,x,y,bitmap.Size.Width,bitmap.Size.Height);
+					}
+				}
+				this.Update();
+			}
+				
+			prevUsage = usage;			
+		}
 
-			PerformanceCounter pageinCount = new PerformanceCounter();
-			pageinCount.CategoryName = "Memory";
-			pageinCount.CounterName  = "Pages Input/sec";
-
-			Int32 prevUsage = -10;
-			while (true) {
-				Int32 usage = (Int32)perfCount.NextValue();
-				Int32 pagein = (Int32)pageinCount.NextValue();
-				Int32 pageout = (Int32)pageoutCount.NextValue();
-
-				Console.WriteLine("Processor: {0}% (pattern: {1}) {2} {3}", usage, usage/10, pagein, pageout);
-				if (usage >= 100) {
-					usage = 100;
-				} else if (usage < 0) {
-					usage = 0;
-				}
-				
-				// OÌp^[ÆÈXVÈE
-				if (prevUsage/10 != usage/10) {
-					ArrayList patterns = (ArrayList)_property["pattern"];
-					ArrayList patternCpu = (ArrayList)patterns[0];
-					ArrayList facePattern = (ArrayList)patternCpu[usage/10];
-					
-					foreach (Int32 i in facePattern) {
-						Hashtable part = _parts[i] as Hashtable;
-						string filename = (string)part["filename"];
-						string imgPath = Path.Combine(_facePath, filename);
-						using (Bitmap bitmap = new Bitmap(imgPath)) {
-							int x = (int)part["pos x"];
-							int y = 128 - (int)part["pos y"] - bitmap.Size.Height;
-							this.Graphics.DrawImage(bitmap,x,y,bitmap.Size.Width,bitmap.Size.Height);
-						}
-					}
-					this.Update();
-				}
-				
-				prevUsage = usage;
-				Thread.Sleep(1000);
-			}
-			
-		}
 		void doQuit(object sender, System.EventArgs e)
 		{
+			_updateTimer.Stop();
 			Application.Exit();
 		}