Index: /trunk/MacFaceFloat/AssemblyInfo.cs
===================================================================
--- /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 8)
+++ /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 9)
@@ -7,10 +7,10 @@
 // îñðÏX·éÉÍA±êçÌ®«lðÏXµÄ­¾³¢B
 //
-[assembly: AssemblyTitle("")]
-[assembly: AssemblyDescription("")]
+[assembly: AssemblyTitle("MacFace for Windows ¨µÅ")]
+[assembly: AssemblyDescription("G[ViCPU[^MacFace")]
 [assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
+[assembly: AssemblyCompany("Team MacFace")]
 [assembly: AssemblyProduct("")]
-[assembly: AssemblyCopyright("")]
+[assembly: AssemblyCopyright("Team MacFace")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]		
Index: /trunk/MacFaceFloat/MacFaceFloat.csproj
===================================================================
--- /trunk/MacFaceFloat/MacFaceFloat.csproj	(revision 8)
+++ /trunk/MacFaceFloat/MacFaceFloat.csproj	(revision 9)
@@ -87,5 +87,5 @@
                 <Reference
                     Name = "System.XML"
-                    AssemblyName = "System.XML"
+                    AssemblyName = "System.Xml"
                     HintPath = "..\..\..\..\..\..\WINDOWS\Microsoft.NET\Framework\v1.1.4322\System.XML.dll"
                 />
@@ -115,4 +115,5 @@
                 <File
                     RelPath = "AssemblyInfo.cs"
+                    SubType = "Code"
                     BuildAction = "Compile"
                 />
Index: /trunk/MacFaceFloat/MainForm.cs
===================================================================
--- /trunk/MacFaceFloat/MainForm.cs	(revision 8)
+++ /trunk/MacFaceFloat/MainForm.cs	(revision 9)
@@ -119,8 +119,8 @@
 			return SelectFaceDefine(Application.StartupPath);
 		}
+
 		public bool SelectFaceDefine(string defaultPath)
 		{
 			String facePath;
-			Hashtable property;
 
 			// XVð~ßéB
@@ -140,18 +140,8 @@
 				{
 					facePath = folderBrowser.SelectedPath;
-					if (File.Exists(Path.Combine(facePath, "faceDef.plist")))
+
+					if (LoadFaceDefine(facePath)) 
 					{
-						break;
-					}
-					else
-					{
-						// t@CªÈ¢
-						if (MessageBox.Show(
-							String.Format("wè³ê½tH_Éçp^[è`XMLt@C \"faceDef.plist\" ª¶ÝµÜ¹ñB\n\ntH_:\n{0}", facePath),
-							"MacFace for Windows", MessageBoxButtons.RetryCancel, MessageBoxIcon.Error)
-							== DialogResult.Cancel)
-						{
-							return false;
-						}
+						return true;
 					}
 				}
@@ -162,8 +152,23 @@
 			}
 
-			// ÇÝÝ
+		}
+
+
+		bool LoadFaceDefine(string path)
+		{
+			string plistPath = Path.Combine(path, "faceDef.plist");
+
+			if (!File.Exists(plistPath))
+			{
+				System.Windows.Forms.MessageBox.Show(
+					String.Format("wè³ê½tH_Éçp^[è`XMLt@C \"faceDef.plist\" ª¶ÝµÜ¹ñB\n\ntH_:\n{0}", path),
+					"MacFace for Windows", MessageBoxButtons.OK, MessageBoxIcon.Error);
+				return false;
+			}
+			
+			Hashtable property;
 			try 
 			{
-				property = PropertyList.Load(Path.Combine(facePath, "faceDef.plist"));
+				property = PropertyList.Load(plistPath);
 			} 
 			catch (System.IO.IOException ie) 
@@ -184,15 +189,17 @@
 			}
 
+			// çp^[·µÖ¦ÍXVð~ßÄ¨­
+			if (_updateTimer != null) _updateTimer.Stop();
+
 			_property = property;
-			_facePath = facePath;
+			_facePath = path;
 			_parts = (ArrayList)_property["parts"];
-
-			// XVJn
+			prevUsage = -10;
+
+			// XVÄJ
 			if (_updateTimer != null) _updateTimer.Start();
 
 			return true;
 		}
-
-
 
 		public void CountProcessorUsage(object sender, EventArgs e)
@@ -234,10 +241,21 @@
 		public void MainForm_Load(object sender, System.EventArgs e)
 		{
-			if (!SelectFaceDefine(Path.Combine(Application.StartupPath, "default.mcface")))
-			{
-				Application.Exit();
-				return;
-			}
-
+			string faceDefPath = Path.Combine(Application.StartupPath, "default.mcface");
+			bool result = false;
+
+			if (Directory.Exists(faceDefPath))
+			{
+				result = LoadFaceDefine(faceDefPath);
+			}
+
+			if (!result)
+			{
+				if (!SelectFaceDefine(Application.StartupPath))
+				{
+					Application.Exit();
+					return;
+				}
+
+			}
 		}
 
Index: /trunk/MacFaceLibrary/AssemblyInfo.cs
===================================================================
--- /trunk/MacFaceLibrary/AssemblyInfo.cs	(revision 8)
+++ /trunk/MacFaceLibrary/AssemblyInfo.cs	(revision 9)
@@ -7,10 +7,10 @@
 // îñðÏX·éÉÍA±êçÌ®«lðÏXµÄ­¾³¢B
 //
-[assembly: AssemblyTitle("")]
-[assembly: AssemblyDescription("")]
+[assembly: AssemblyTitle("MacFace Lib")]
+[assembly: AssemblyDescription("MacFace Library")]
 [assembly: AssemblyConfiguration("")]
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("")]
-[assembly: AssemblyCopyright("")]
+[assembly: AssemblyCopyright("Team MacFace")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]		